
<style scoped>

</style>

<template>
  <div class="rawInsBox">
    <RawIns v-show="!showDetail" :goDetail="goDetail"></RawIns>
    <RawInsDetail v-show="showDetail" :goBack="goBack" :detail="detail"></RawInsDetail>
  </div>
</template>

<script>
import RawIns from './raw-ins.vue'
import RawInsDetail from './rawInsDetail.vue'
export default {
    components:{RawIns,RawInsDetail},
    data() {
        return {
            showDetail: false,
            detail:{}
        }
    },
    methods:{
        goDetail(detail) {
            this.showDetail = true
            this.detail = detail
        },
        goBack() {
            this.showDetail = false
        }
    }
}
</script>
